{ pkgs ? import <nixpkgs> {} }:

let ghcClosure =
  pkgs.haskellPackages.ghcWithPackages
  (p:[
    p.text
  ]);

in pkgs.stdenv.mkDerivation {
  pname = "bench-my-utf8";
  version = "0.0.1";
  installPhase = ''
    mkdir -p $out/bin
    mv haskell-read-utf8 $out/bin
  '';
  nativeBuildInputs = [
    pkgs.gnumake
    ghcClosure
    pkgs.gcc
    pkgs.icu
    pkgs.hyperfine
    pkgs.pkgconf
  ];
}
